/*
 * lilJudd
 * Copyright (C) 2024 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.data.api.splatoon3ink.schedules


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SchedulesData(
    @SerialName("bankaraSchedules")
    val bankaraSchedules: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.BankaraSchedules,
    @SerialName("coopGroupingSchedule")
    val coopGroupingSchedule: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.CoopGroupingSchedule,
    @SerialName("currentFest")
    val currentFest: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.CurrentFest?,
    @SerialName("currentPlayer")
    val currentPlayer: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.CurrentPlayer,
    @SerialName("eventSchedules")
    val eventSchedules: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.EventSchedules,
    @SerialName("festSchedules")
    val festSchedules: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.FestSchedules,
    @SerialName("regularSchedules")
    val regularSchedules: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.RegularSchedulesX,
    @SerialName("vsStages")
    val vsStages: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.VsStages,
    @SerialName("xSchedules")
    val xSchedules: net.moonleay.lilJudd.data.api.splatoon3ink.schedules.XSchedules
)
